Bug 1841381

Summary: Issue with memoryMB validation
Product: OpenShift Container Platform Reporter: hpopal
Component: InstallerAssignee: Gal Zaidman <gzaidman>
Installer sub component: OpenShift on RHV QA Contact: Guilherme Santos <gdeolive>
Status: CLOSED ERRATA Docs Contact:
Severity: low    
Priority: medium CC: dmoessne, dougsland, gzaidman, jzmeskal, lleistne, rgolan
Version: 4.5Keywords: UpcomingSprint
Target Milestone: ---   
Target Release: 4.7.0   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: No Doc Update
Doc Text:
Story Points: ---
Clone Of: 1837239 Environment:
Last Closed: 2021-02-24 15:12:15 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Embargoed:
Bug Depends On:    
Bug Blocks: 1837239    

Comment 2 Sandro Bonazzola 2020-06-18 06:52:07 UTC
due to capacity constraints we will be revisiting this bug in the upcoming sprint

Comment 4 Gal Zaidman 2020-08-25 06:56:18 UTC
We are working on higher priority feature development and bug fixes. Hence moving this to next sprint.

Comment 5 Sandro Bonazzola 2020-10-22 11:33:27 UTC
due to capacity constraints we will be revisiting this bug in the upcoming sprint

Comment 6 Gal Zaidman 2020-11-01 17:04:16 UTC
We can't validate against the 0 value since when the field is empty (meaning equal to zero) we use the default value.
To avoid turning this bug into a huge change I added a validation for a nonnegative value, this is what other platforms are doing as well.

Comment 8 Guilherme Santos 2020-11-30 11:46:17 UTC
Verified on:
openshift-4.7.0-0.nightly-2020-11-28-014852

Steps:
1. prepare install-config.yaml
2. set wrong string on vm_type
3. set negative value on memoryMB

Results:
Installation validation accuses wrong values as expected

Comment 9 Sandro Bonazzola 2020-12-03 12:38:33 UTC
to be added to errata

Comment 12 errata-xmlrpc 2021-02-24 15:12:15 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.7.0 security, bug fix, and enhancement update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:5633